Bug 109149 - [Patch] Upgrade gd to 2.0.34
Summary: [Patch] Upgrade gd to 2.0.34
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-14 03:40 UTC by oz
Modified: 2007-02-23 23:59 UTC (History)
1 user (show)

See Also:


Attachments
patch-gd_2.0.34 (62.00 KB, text/plain)
2007-02-14 03:40 UTC, oz
no flags Details
gd-patch (62.98 KB, text/plain)
2007-02-16 01:38 UTC, oz
no flags Details
patch-jp-gd (304 bytes, text/plain)
2007-02-16 01:38 UTC, oz
no flags Details
patch-uk-gd (410 bytes, text/plain)
2007-02-16 01:38 UTC, oz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description oz 2007-02-14 03:40:07 UTC
	Upgrade gd to 2.0.34.
        New Upstream Maintainer, Pierre-A. Joye, hosted at http://libgd.org/

        I changed up the port to use it's own configure script, and backported
	the FreeBSD specific functions gdImageLzw*() & gdImageBigGif*() to use
        gdImageGif*() functions.  gdImageCreateFromGifSource() & gdImageGifToSink()
        did not have any code backing them, so I removed the prototypes. 
	It should keep the same library extension as 2.0.33.  I also modified the
        existing scripts to allow GD_FONTS to still work.

How-To-Repeat: 	N/A
Comment 1 Dirk Meyer freebsd_committer 2007-02-14 06:52:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

over to maintaine
Comment 2 dirk.meyer 2007-02-14 07:03:09 UTC
I would like to take it in a few smaller steps.

> -PORTEPOCH=	1

PORTEPOCH can never be revoked.

This change needs extensive testing.
Acording to the diffs to the distfiles,
they have making big changes in the autohell stuff.
By looking at them I am not sure this have been tested.

> +OPTIONS=	XPM "Turns on Xpm support" off \
> +		FONTCONFIG "Turns on Fontconfig support" off \
> +		ICONV "Turn on Iconv support" off

The options frammework had some problems,
no handling slave ports well.
This needs further testing as well.

You are also dropping some of the support for oversized gifs,
which is needed by other ports.
I miss also some compatibility definitions.
Any references why the are no longer needed?

Analyzing this will take a bit more time.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
http://people.freebsd.org/~dinoex/errorlogs/
Comment 3 Dirk Meyer freebsd_committer 2007-02-15 13:51:13 UTC
State Changed
From-To: open->feedback


1. don't remove PORTEPOCH 

2. gdlib-config is broken 
--libs contains no -lgd 
--libs forces dependend libs 
(which are already recorded in the .so) 
is this intentional? 

3. please give some details about patch-bdftogd 

I will take some more test in between.
Comment 4 oz 2007-02-16 01:38:37 UTC
Dirk Meyer wrote:
> Synopsis: [Patch] Upgrade gd to 2.0.34
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: dinoex
> State-Changed-When: Thu Feb 15 14:51:13 CET 2007
> State-Changed-Why: 
> 
> 1. don't remove PORTEPOCH
> 
> 2. gdlib-config is broken
>    --libs contains no -lgd
>    --libs forces dependend libs
>      (which are already recorded in the .so)
>      is this intentional?
> 
> 3. please give some details about patch-bdftogd
> 
> I will take some more test in between.
> 
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=109149

revised patches.

1) readded PORTEPOCH
2) Added patch for glib-config that prepends -lgd to the --libs output
    (mtw, most --libs responses I've seen give all the libs needed to link *shrug*)
3) based on previous email.. wrapped OPTIONS with a .if !defined(SLAVEPORT)
    and readded the ${ECHOMSG} lines under the post-patch stage with a .if
    defined(SLAVEPORT) so the japanese and ukranian gd ports can turn on
    the extra optional defined manually.


details on the patch-bdftogd:
well the bdf2gd that comes with gd-2.0.34 is broken for the changes that were
made with 2.0.34.  The patches are to allow the output files from bdf2gd
work again.  more specifically, gd has a gdFontGet[Tiny/Large/etc]() function
call that was missing with the original version.  So I used the original
gdfontt.c file as a template for updating the output of bdftogd.


-Phil.
Comment 5 dfilter service freebsd_committer 2007-02-22 20:33:15 UTC
dinoex      2007-02-22 20:33:06 UTC

  FreeBSD ports repository

  Modified files:
    graphics/gd          Makefile distinfo pkg-descr 
    graphics/gd/files    Makefile.bsd patch-gd_png.c 
                         patch-gdtest.c 
  Added files:
    graphics/gd/files    patch-bdftogd 
  Removed files:
    graphics/gd/files    gd_biggif_out.c gd_lzw_out.c patch-gd.h 
  Log:
  - update to 2.0.34
  - new MASTER_SITES
  - use smaller distfile (.bz2)
  - new option WITH_FONTCONFIG
  - new option WITH_ICONV
  - removed gdImageCreateFromGifSource
    this breaks old version of php*-gd
  PR:             109149
  Submitted by:   Phil Oleson
  
  - fix gdtest
  - remove gdImageLzw*, gdImageBigGif*
    this breaks old version of perl5-GD
  - extend feature info
  
  Revision  Changes    Path
  1.80      +34 -16    ports/graphics/gd/Makefile
  1.27      +3 -3      ports/graphics/gd/distinfo
  1.7       +6 -8      ports/graphics/gd/files/Makefile.bsd
  1.4       +0 -823    ports/graphics/gd/files/gd_biggif_out.c (dead)
  1.4       +0 -795    ports/graphics/gd/files/gd_lzw_out.c (dead)
  1.1       +57 -0     ports/graphics/gd/files/patch-bdftogd (new)
  1.9       +0 -41     ports/graphics/gd/files/patch-gd.h (dead)
  1.2       +10 -9     ports/graphics/gd/files/patch-gd_png.c
  1.4       +17 -40    ports/graphics/gd/files/patch-gdtest.c
  1.8       +2 -5      ports/graphics/gd/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dirk Meyer freebsd_committer 2007-02-23 23:50:40 UTC
State Changed
From-To: feedback->closed

partly committed, thanks. 

- the OPTIONS framework does not work well in this caee. 
haveing the port use it soometime and sometimes not is confusing to the users. 
As so many portsdpends on gd, the options stuff slows updating, 
waiting for user intaeraction. 

- the autoconf has slighly improved, 
but it does not work fully yet. 
This may chane on later updates. 

- broken pakacge, cause of empty line in pkg-plist 

- Pleaee portlint your work.